## amanda 3.3.0

=== debian/changelog ===
amanda (1:3.3.0-1ubuntu1) precise; urgency=low

  * Remove declaration of function g_queue_free_full() which conflicts with
    GLib and isn't used anywhere.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sun, 05 Feb 2012 19:09:37 +0400

amanda (1:3.3.0-1build1) precise; urgency=low

  * Rebuild for Perl 5.14.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Nov 2011 22:09:21 +0000

amanda (1:3.3.0-1) unstable; urgency=low

  * new upstream version, closes: #641453
  * lots of packaging cleanup
  * consolidate inetd and xinetd config handling in amanda-common package
  * add a NEWS entry explaining the switch to bsdtcp auth as default

 -- Bdale Garbee <bdale@gag.com>  Tue, 13 Sep 2011 12:42:40 -0600

amanda (1:3.2.1-1.1) unstable; urgency=low

  * non-maintainer upload
  * clear dependency_libs in *.la files, closes: #621214

 -- Luk Claes <luk@debian.org>  Sat, 28 May 2011 17:04:18 +0200

amanda (1:3.2.1-1) unstable; urgency=low

  * new upstream version, closes: #613178
  * enable support for Amazon S3 storage on request from Christopher McCrory
  * fix for dh_perl usage to include private library, closes: #582220
  * merge updated Vietnamese debconf translation, closes: #601919
  * merge updated Danish debconf translation, closes: #608435
  * merge updated Arabic debconf translation, closes: #596178

 -- Bdale Garbee <bdale@gag.com>  Sun, 27 Feb 2011 11:54:58 -0700

amanda (1:3.2.0-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 01 Dec 2010 20:39:49 -0700

amanda (1:3.1.0-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Mon, 14 Jun 2010 13:46:03 -0600

amanda (1:2.6.1p2-2) unstable; urgency=low

  * add build depend on procps, closes: #552390
  * add dh_perl call to rules and ${perl:Depends} to amanda-common deps so
    that we comply with Perl policy, closes: #582220

 -- Bdale Garbee <bdale@gag.com>  Mon, 14 Jun 2010 10:21:11 -0600

amanda (1:2.6.1p2-1) unstable; urgency=low

  * new upstream version
  * move more files out of amanda-common that really belong elsewhere
  * deliver /usr/lib/amanda/application/am[gs]tar setuid, closes: #558094
  * leave user backup groups alone on purge, closes: #572933

 -- Bdale Garbee <bdale@gag.com>  Mon, 15 Mar 2010 15:23:20 -0600

amanda (1:2.6.1p1-2) unstable; urgency=low

  * calcsize needs to be setuid, closes: #551156
  * patch from upstream to fix init of xml_app.result in diskfile.c, 
    closes: #550098
  * add note to server package README.Debian regarding mtio operations that
    take too long putting noise in dmesg, closes: #506397
  * merge Finnish translation of the debconf templates, closes: #535214

 -- Bdale Garbee <bdale@gag.com>  Fri, 16 Oct 2009 02:10:52 -0600

amanda (1:2.6.1p1-1) unstable; urgency=low

  * new upstream version, closes: #527090, #527489, #486405, #488713
  * tweak configure to ensure ssh support is enabled, closes: #524618, #492352
  * update debian/control to include my git packaging repo location
  * resolve possible bashisms, closes: #530041

 -- Bdale Garbee <bdale@gag.com>  Tue, 08 Sep 2009 11:40:42 -0600

amanda (1:2.5.2p1-5) unstable; urgency=low

  * add --without-ipv6 as a short-term fix for amdump connectivity problems,
    closes: #482754, #501281, #470202

 -- Bdale Garbee <bdale@gag.com>  Thu, 26 Mar 2009 22:52:51 -0600

amanda (1:2.5.2p1-4) unstable; urgency=high

  * high priority bug fixes intended for lenny release
  * update version thresholds in Replaces to ease upgrades, closes: #476583
  * don't set maxdumpsize in the default amanda.conf, closes: #475524
  * freshen to latest standards version
  * revert chg-multi.sh.in and patch since the new version previously pulled 
    in caused more problems than it solved, closes: #486384
  * undo traps on amverify exit to prevent double reports, closes: #487405
  * correct paths in amcrypt-ossl-asym(8) xml source, closes: #486739

 -- Bdale Garbee <bdale@gag.com>  Sat, 16 Aug 2008 16:03:27 -0300

amanda (1:2.5.2p1-3) unstable; urgency=low

  * fix "bashisms" in the amcleanup and amverify scripts.  closes: #464489
  * merge updated Russian translation, closes: #471030
  * move example configuration 'DailySet1' from /etc/amanda to 
    /usr/share/doc/amanda-server/examples to reduce confusion, update
    the amanda-server README.Debian with fresh install notes.  closes: #420023
  * move some binaries out of amanda-common into -server and -client
  * harden forcing of /usr/bin/mail instead of /usr/bin/Mail, closes: #475771

 -- Bdale Garbee <bdale@gag.com>  Wed, 16 Apr 2008 00:02:13 -0600

amanda (1:2.5.2p1-2) unstable; urgency=low

  * document holding disk constraint in amanda-server README.Debian file,
    closes: #465746
  * patch from Wolfgang Weisselberg for a problem in amstatus, closes: #471240
  * enable both with-bsdtcp-security and with-bsdudp-security in configure,
    perhaps that will help resolve some of the problems users are having
    with 2.5.2?

 -- Bdale Garbee <bdale@gag.com>  Thu, 20 Mar 2008 18:06:58 -0600

amanda (1:2.5.2p1-1) unstable; urgency=low

  * new upstream version, closes: #434607, #434606
  * pull fresher chg-multi.sh.in from upstream to fix syntax error
  * drop reference to non-existent 'taper' package in control, closes: #444330
  * a number of tweaks to address issues found by lintian
  * incorporate Galician translation, closes: #414113

 -- Bdale Garbee <bdale@gag.com>  Sun, 07 Oct 2007 18:39:45 -0600

amanda (1:2.5.1p3-3) unstable; urgency=low

  * fix amcrypt-ossl and amcryopt-ossl-asym to use the right username for
    Debian systems, closes: #417818
  * patch from upstream for problem in get_fs_stats(), closes: #420100
  * patch from upstream for problem in sendsize.c, closes: #420076
  * replace netbase dependency with update-inetd

 -- Bdale Garbee <bdale@gag.com>  Tue, 15 May 2007 11:44:34 -0600

amanda (1:2.5.1p3-2) unstable; urgency=low

  * fold in diff from NMU of 1:2.5.1p1-2.1 by Peter Palfrader, closes: #399790

