## amanda 3.3.1

=== debian/changelog ===
amanda (1:3.3.1-4) unstable; urgency=low

  * eliminate spurious empty /var/log/amanda directory in amanda-server package
    that generates piuparts errors, closes: #681568

 -- Bdale Garbee <bdale@gag.com>  Sat, 14 Jul 2012 15:14:22 -0600

amanda (1:3.3.1-3) unstable; urgency=low

  * patch from Robert Milan to fix kfreebsd FTBFS, closes: #667836
  * patch from amanda-users mailing list via Jose Manuel dos Santos Calhariz
    that fixes amrecover issue with VTAPE access, closes: #666088

 -- Bdale Garbee <bdale@gag.com>  Thu, 12 Apr 2012 23:29:14 -0600

amanda (1:3.3.1-2) unstable; urgency=low

  * patch from Michael Biebl to elide g_queue_free_full definition that
    conflicts with glib 2.32 but isn't actually used, closes: #665675

 -- Bdale Garbee <bdale@gag.com>  Tue, 03 Apr 2012 07:18:07 -0700

amanda (1:3.3.1-1) unstable; urgency=low

  * new upstream version, closes: #655025, #658933
  * enable hardening build flags, closes: #644437
  * include Indonesian translation, closes: #658482
  * relax build-deps by having dump and xfsdump only required on linux-any, 
    to allow amanda to build on kFreeBSD, closes: #661702
  * clean up and expand the delivery of examples, closes: #496286, #647550

 -- Bdale Garbee <bdale@gag.com>  Tue, 20 Mar 2012 14:59:38 +0100
