=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 # Copyright 1998-2011 by Bdale Garbee.  License GPL v2
 
 export DH_VERBOSE=1
+
+DPKG_EXPORT_BUILDFLAGS = 1
+-include /usr/share/dpkg/buildflags.mk
 
 r=$(shell pwd)/debian/amanda-common
 s=$(shell pwd)/debian/amanda-server
@@ -51,7 +54,7 @@
 build-indep: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
-	MAILER=/usr/bin/mail $(MAKE) CFLAGS="-O2 -g -Wall \
+	MAILER=/usr/bin/mail $(MAKE) CFLAGS="$(CFLAGS) -O2 -g -Wall \
 		-DAMANDATES_FILE='\"/var/lib/amanda/amandates\"' \
 		-DIGNORE_TAR_ERRORS "
 	touch build-stamp
@@ -82,7 +85,6 @@
 	install -m 644 debian/amandahosts $(r)/etc/amandahosts
 	dh_installdocs -a
 	dh_installexamples -a
-	ln -s ../amanda/example $(r)/usr/share/doc/examples
 	cp ChangeLog $(r)/usr/share/doc/amanda-common/changelog
 	cp example/xinetd.amandaserver $(r)/etc/xinetd.d/amanda
 	dh_installmenu -a
@@ -98,8 +100,6 @@
 	# fix perms manually
 	chown -R backup:backup debian/*/var/lib/*
 	chmod -R u=rwX,g=rwX,o-rwx debian/*/var/lib/*
-	chown -R backup:backup $(s)/var/log/amanda
-	chmod -R u=rwX,g=rwX,o-rwx $(s)/var/log/amanda
 	chown -R backup:backup $(s)/etc/amanda
 	chmod -R u=rwX,g=rwX,o-rwx $(s)/etc/amanda
 	chown -R backup:backup $(c)/var/lib/amanda/gnutar-lists
