## amanda 3.3.3

=== debian/changelog ===
amanda (1:3.3.3-2ubuntu1.1+actuallyesm2) trusty-security; urgency=medium

  * SECURITY REGRESSION: Remove all patches from version 1:3.3.3-2ubuntu1.1
    restoring the package to the state of 1:3.3.3-2ubuntu1. (LP: #2012536) 

 -- David Lane <david.lane@canonical.com>  Fri, 24 Mar 2023 12:33:20 +1100

amanda (1:3.3.3-2ubuntu1.1) trusty-security; urgency=medium

  * SECURITY UPDATE: information leak calcsize SUID binary
    - d/p/56-fix-CVE-2022-37703: remove perror call disclosing potentially
      privileged information
    - CVE-2022-37703
  * SECURITY UPDATE: privilege escalation via rundump SUID binary
    - d/p/50-fix-CVE-2022-37704: add option validation
    - d/p/52-fix-CVE-2022-37704_part_2-backport: filter RSH env variable
    - CVE-2022-37704
  * SECURITY UPDATE: privilege escalation via runtar SUID binary
    - d/p/48-fix-CVE-2022-37705-backport: fix option parsing
    - CVE-2022-37705

 -- David Lane <david.lane@canonical.com>  Thu, 16 Mar 2023 13:18:40 +1100

amanda (1:3.3.3-2ubuntu1) trusty; urgency=low

  * Resolve FTBFS:
    - Use dh-autoreconf;
    - Add missing libs to link.

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 07 Jan 2014 15:28:40 -0500

amanda (1:3.3.3-2build1) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 12:58:50 +0100

amanda (1:3.3.3-2) unstable; urgency=low

  * QA upload.

  [ Daniel T Chen ]
  * Modified bundled stdio to check conditionally for gets(), fixing FTBFS
    (closes: #701387).

 -- Colin Watson <cjwatson@debian.org>  Tue, 14 May 2013 16:27:56 +0100

amanda (1:3.3.3-1) unstable; urgency=low

  * orphan this package
  * new upstream version, closes: #697783
  * fix hard-coded amandabackup user in many scripts and docs, 
    closes: #693333, $699454
  * fix amserverconfig trying to create /var/lib/lib/amanda, closes: #693331

 -- Bdale Garbee <bdale@gag.com>  Wed, 20 Feb 2013 11:12:55 -0700
