=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: amanda
 Section: utils
 Priority: optional
-Maintainer: Bdale Garbee <bdale@gag.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Vcs-Git: git://git.gag.com/debian/amanda
 Vcs-Browser: http://git.gag.com/?p=debian/amanda
-Build-Depends: debhelper (>= 5), dump [linux-any], gnuplot, libncurses5-dev, libreadline-dev, libtool, flex, perl, smbclient, bsd-mailx | mailx, lpr, mtx, xfsdump [linux-any], po-debconf, autotools-dev, libglib2.0-dev, procps, curl, libcurl4-openssl-dev
+Build-Depends: debhelper (>= 5), dump [linux-any], gnuplot, libncurses5-dev, libreadline-dev, libtool, flex, perl, smbclient, bsd-mailx | mailx, lpr, mtx, xfsdump [linux-any], po-debconf, autotools-dev, libglib2.0-dev, procps, curl, libcurl4-openssl-dev, dh-autoreconf
 Standards-Version: 3.9.3
 
 Package: amanda-common
