=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 	# pick up latest config files provided by autotools-dev
 	cp -f /usr/share/misc/config.sub config/config.sub
 	cp -f /usr/share/misc/config.guess config/config.guess
+	dh_autoreconf
 	# do we need --{htmldir,dvidir,pdfdir,psdir} to force subdirectories?
 	# should we re-craft this to use --without-server and --without-client,
 	#	and lose the amanda-common package?
@@ -66,6 +67,7 @@
 	[ ! -f Makefile ] || make distclean
 	-rm -f build-stamp configure-stamp missing config/config.h common-src/genversion
 	-find . -type d -name .deps -exec rm -rf {} \;
+	dh_autoreconf_clean
 	dh_clean
 
 # call this before packaging for upload when updating template English text
