=== debian/watch ===
# debian/watch  for amanda
# format version number, currently 3; this line is compulsory!
version=3
# If your package is located on sourceforge, use the following format
# to automatically use the qa.debian.org redirector, avoiding SF's
# difficult mirror system.
http://sf.net/amanda/amanda-([0-9]+\.[0-9]+\.[0-9]+[^b]*)\.tar\.gz   debian  uupdate
