## amanda 3.3.6

=== debian/changelog ===
amanda (1:3.3.6-4) unstable; urgency=medium

  * fix amreport with perl 5.20 (Closes: 760846).

 -- Jose M Calhariz <jose.calhariz@netvisao.pt>  Tue, 04 Nov 2014 22:46:09 +0000

amanda (1:3.3.6-3) unstable; urgency=low

  * Adopting package (Closes: 700484). 
  * Merge work done by William Blough/Bill Blough:
    * fix-amserverconfig-template-path: fix directory hierarchy for
      amserverconfig template files.
    * fix-misc-typos: fix typo errors in various source files, (Closes:
      724075)
    * fix-lintian-manpage-warnings: 
      * Fix line breaks in man page.
      * Fix FHS deviations in the man page.
      * Update default directories to not use /usr/adm.
    * automake-add-missing: let automake install missing files.
    * Link upstream changelogs from -common package to -client and 
      -server packages.
    * Add additional hardening flags.
  * Fix bug "amanda-server: amcheck -M <email> does not work", (Closes:
    #726798).
  * Add PL translation (Closes: 731383).
  * Create a TODO.
  * fix-device-src_rait-device.c: Fix bug "Wrong use of unconverted
    op->result instead of result", (Closes: 688466)
  * Remove obsolete emacs variables.
  * amanda-client: Add depends on libxml-simple-perl, (Closes: 732017).

 -- Jose M Calhariz <jose.calhariz@netvisao.pt>  Sat, 30 Aug 2014 00:17:47 +0100

amanda (1:3.3.6-2) UNRELEASED; urgency=low

  * QA upload.
  * debian/{control, rules, patches/missing-libs-ftbfs.patch}:
    - Switch to dh-autoreconf to update libtool macros for ppc64el.
    - Add missing libs to link. Needed for dh-autoreconf.
      (Closes: #758261)
  * debian/control:
    - Bump to debhelper 9.
  * wrap-and-sort.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 23 Aug 2014 22:34:36 +0200

amanda (1:3.3.6-1) unstable; urgency=low

  * QA upload.
  * New upstream release
    - include swig 3.0.2: fix FTBFS with Perl 5.20: needs SWIG regeneration
      (Closes: #752024)
  * debian/patches
    - drop gets-undef-ftbfs: it's unnecessary
  * debian/control
    - set Standards-Version: 3.9.5
    - move Vcs repository to alioth collabmaint

 -- Hideki Yamane <henrich@debian.org>  Wed, 30 Jul 2014 23:20:42 +0900

amanda (1:3.3.3-3) unstable; urgency=medium

  * QA upload.
  * debian/control
    - add "Build-Depends: libssl-dev" to fix FTBFS (Closes: #747710) 

 -- Hideki Yamane <henrich@debian.org>  Tue, 27 May 2014 21:37:31 +0900
