## amanda 3.3.8

=== debian/changelog ===
amanda (1:3.3.8-1) unstable; urgency=low

  * New Upstream version
    * Changes for 3.3.8
      * s3 devices
          New NEARLINE S3-STORAGE-CLASS for Google storage.
          New AWS4 STORAGE-API
      * amcryptsimple
          Works with newer gpg2.
      * amgtar
          Default SPARSE value is NO if tar < 1.28.
          Because a bug in tar with some filesystem.
      * amstar
          support include in backup mode.
      * ampgsql
          Add FULL-WAL property.
      * Many bugs fix.
    * Changes for 3.3.7p1
      * Fix build in 3.3.7
    * Changes for 3.3.7
      * amvault
          new --no-interactivity argument.
          new --src-labelstr argument.
      * amdump
          compute crc32 of the streams and write them to the debug files.
      * chg-robot
          Add a BROKEN-DRIVE-LOADED-SLOT property.
      * Many bugs fix.
  * Refreshed patches.
  * Dropped patches that were applied by the upstream: fix-misc-typos,
    automake-add-missing, fix-amcheck-M.patch,
    fix-device-src_rait-device.c, fix-amreport-perl_Amanda_Report_human.pm
  * Change the email of the maintainer.
  * "wrap-and-sort -at" all control files.
  * swig is a new build depend.
  * Bump standard version to 3.9.7, no changes needed.
  * Replace deprecated dependency perl5 by perl, (Closes: #808209), thank
    you Gregor Herrmann for the NMU.
  * Move flag -DAMANDATES_FILE from build time to configure time.
  * New patch fix-build-amcrc32chw to fix the build of amcr32chw.
  * New patch fix-amgtar-exclude to fix problem with corrupted backups
    with missing exclude files.
  * amanda-common: drop depends on perl and tar.
  * Bump debhelper compat mode to 9.
  * Rename *.lintian to *.lintian-overrides and start using dh_lintian.
  * Remove old depends and replaces on amanda-common.
  * Stop editing amanda-*.substvars.

 -- Jose M Calhariz <jose@calhariz.com>  Sun, 03 Apr 2016 20:57:58 +0100

amanda (1:3.3.6-4.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer's permission.
  * Fix "Depends on virtual package "perl5" which will is gone with
    perl/5.22":
    debian/control: drop "perl5" / replace it with "perl" in Depends/Suggests.
    (Closes: #808209)

 -- gregor herrmann <gregoa@debian.org>  Tue, 29 Dec 2015 02:11:15 +0100
