=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: amanda
 Section: utils
 Priority: optional
-Maintainer: Jose M Calhariz <jose.calhariz@netvisao.pt>
+Maintainer: Jose M Calhariz <jose@calhariz.com>
 Build-Depends: autotools-dev,
                bsd-mailx | mailx,
                curl,
@@ -22,10 +22,12 @@
                po-debconf,
                procps,
                smbclient,
-               xfsdump [linux-any]
-Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/collab-maint/amanda.git
-Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/amanda.git;a=summary
+               swig,
+               xfsdump [linux-any],
+Standards-Version: 3.9.7
+Homepage: http://www.amanda.org/
+Vcs-Git: https://anonscm.debian.org/collab-maint/amanda.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/amanda.git
 
 Package: amanda-common
 Architecture: any
@@ -33,33 +35,28 @@
          bsd-mailx | mailx,
          debconf | debconf-2.0,
          openbsd-inetd | inet-superserver,
-         perl5,
-         tar (>=1.12),
          update-inetd,
          ${misc:Depends},
          ${perl:Depends},
-         ${shlibs:Depends}
-Suggests: amanda-server (= ${binary:Version}) | amanda-client (= ${binary:Version})
-Conflicts: amanda
+         ${shlibs:Depends},
+Suggests: amanda-server (= ${binary:Version}) | amanda-client (= ${binary:Version}),
+Conflicts: amanda,
 Replaces: amanda,
-          amanda-client
+          amanda-client,
 Description: Advanced Maryland Automatic Network Disk Archiver (Libs)
  This package contains libraries required by the amanda client and
- server packages.
+ server packages and includes the documentation.
 
 Package: amanda-server
 Architecture: any
 Depends: amanda-common (= ${binary:Version}),
          bsd-mailx | mailx,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Suggests: amanda-client (= ${binary:Version}),
           cpio | mt-st,
           gnuplot,
-          perl5
 Conflicts: amanda,
-           amanda-common (<< 1:2.5.2p1-3)
-Replaces: amanda-common (<< 1:2.5.2p1-3)
 Description: Advanced Maryland Automatic Network Disk Archiver (Server)
  Amanda is a backup system designed to archive many computers on a
  network to a single large-capacity tape drive. This package is
@@ -68,7 +65,7 @@
  .
   Features:
    * will back up multiple machines in parallel to a holding disk, blasting
-     finished dumps one by one to tape as fast as we can write files to
+     finished dumps one by one to tape as fast as they can be written to
      tape.  For example, a ~2 Gb 8mm tape on a ~240K/s interface to a host
      with a large holding disk can be filled by Amanda in under 4 hours.
    * built on top of standard backup software: Unix dump/restore, and
@@ -105,15 +102,13 @@
 Package: amanda-client
 Architecture: any
 Depends: amanda-common (= ${binary:Version}),
+         libxml-simple-perl,
          ${misc:Depends},
          ${shlibs:Depends},
-         libxml-simple-perl
 Suggests: dump,
           gnuplot,
-          smbclient
+          smbclient,
 Conflicts: amanda,
-           amanda-common (<< 1:2.5.2p1-3)
-Replaces: amanda-common (<< 1:2.5.2p1-3)
 Description: Advanced Maryland Automatic Network Disk Archiver (Client)
  Amanda is a backup system designed to archive many computers on a
  network to a single large-capacity tape drive. This package is
@@ -122,7 +117,7 @@
  .
   Features:
    * will back up multiple machines in parallel to a holding disk, blasting
-     finished dumps one by one to tape as fast as we can write files to
+     finished dumps one by one to tape as fast as they can be can written to
      tape.  For example, a ~2 Gb 8mm tape on a ~240K/s interface to a host
      with a large holding disk can be filled by Amanda in under 4 hours.
    * built on top of standard backup software: Unix dump/restore, and
