=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,17 @@
 #!/usr/bin/make -f
 # Copyright 1998-2011 by Bdale Garbee.  License GPL v2
+#           2016 by Jose M Calhariz. License GPL v2
 
 export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 DPKG_EXPORT_BUILDFLAGS = 1
 -include /usr/share/dpkg/buildflags.mk
 
-r=$(shell pwd)/debian/amanda-common
-s=$(shell pwd)/debian/amanda-server
-c=$(shell pwd)/debian/amanda-client
+r=$(CURDIR)/debian/amanda-common
+s=$(CURDIR)/debian/amanda-server
+c=$(CURDIR)/debian/amanda-client
 
 configure: configure-stamp
 configure-stamp:
@@ -37,6 +40,7 @@
 		--with-udpportrange=840,860 \
 		--with-debugging=/var/log/amanda \
 		--with-gnutar-listdir=/var/lib/amanda/gnutar-lists \
+		--with-amandates=/var/lib/amanda/amandates \
 		--with-index-server=localhost \
 		--with-bsd-security \
 		--with-smbclient=/usr/bin/smbclient \
@@ -56,7 +60,6 @@
 build-stamp: configure-stamp
 	dh_testdir
 	MAILER=/usr/bin/mail $(MAKE) CFLAGS="$(CFLAGS) -O2 -g -Wall \
-		-DAMANDATES_FILE='\"/var/lib/amanda/amandates\"' \
 		-DIGNORE_TAR_ERRORS "
 	touch build-stamp
 
@@ -67,6 +70,7 @@
 	[ ! -f Makefile ] || make distclean
 	-rm -f build-stamp configure-stamp missing config/config.h common-src/genversion
 	-find . -type d -name .deps -exec rm -rf {} \;
+	rm -f config/config.sub config/config.guess
 	dh_autoreconf_clean
 	dh_clean
 
@@ -74,13 +78,13 @@
 updatepo:
 	-rm -f debian/po/templates.pot
 	debconf-updatepo
-	
+
 binary-indep: build
 
 binary-arch: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs -a
 	make install DESTDIR=$(r)
 	sed -i "/dependency_libs/ s/'.*'/''/" `find $(r)/usr/lib/amanda/ -name '*.la'`
@@ -97,6 +101,8 @@
 	dh_strip -a
 	dh_compress -a
 	dh_movefiles -a --sourcedir=debian/amanda-common
+	dh_install -a -X.in
+	dh_link -a
 	rm -r $(r)/usr/share/amanda
 	dh_fixperms -av
 	# fix perms manually
@@ -127,28 +133,14 @@
 		$(s)/usr/lib/amanda/dumper \
 		$(s)/usr/lib/amanda/planner \
 		$(s)/usr/sbin/amcheck
-	install -o root -g root -m 0644 debian/amanda-client.lintian \
-		$(c)/usr/share/lintian/overrides/amanda-client
-	install -o root -g root -m 0644 debian/amanda-common.lintian \
-		$(r)/usr/share/lintian/overrides/amanda-common
-	install -o root -g root -m 0644 debian/amanda-server.lintian \
-		$(s)/usr/share/lintian/overrides/amanda-server
+	dh_lintian
 	dh_makeshlibs -pamanda-common --noscripts
 	dh_installdeb -a
 	dh_perl -a usr/lib/amanda/perl
-	dh_shlibdeps -a -l"debian/amanda-common/usr/lib:debian/amanda-client/usr/lib:debian/amanda-server/usr/lib"
-	# strip out the non-versioned amanda-common references, we need
-	# the versioned ones in the control file and dupes are ugly...
-	sed -e 's/amanda-common, //' < debian/amanda-server.substvars > debian/blah
-	mv debian/blah debian/amanda-server.substvars
-	sed -e 's/amanda-common, //' < debian/amanda-client.substvars > debian/blah
-	mv debian/blah debian/amanda-client.substvars
+	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_md5sums -a
 	dh_builddeb -a
 
-source diff:                                                                  
-	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
-
 binary: binary-indep binary-arch
 .PHONY: configure build-indep build-arch build clean binary-indep binary-arch binary
